For some reason, i have to install a newer Version of Brave

On Chrome, I used to connect to my Amazon Prime Video account every day.

So, I did the same on Brave.

But starting the last week, I got messages to upgrade my Brave version for improving the video quality.
I tried to install a new version of Brave (without previous uninstall), but now my Amazon Video Player doesn’t work at all.
I tried to keep my rewards for making a wallet…
Please tell me what I have to do next, for saving all my passwords, settings, and wallet, and not lose my rewards.
I already saved the folder User Data.
I don’t know what I have to do with this folder after a fresh install of Brave.

My actual version of Brave is Version 1.23.75 Chromium: 90.0.4430.93 (Official Build) (64-bit)
.

It’s not something vital, and I can also watch my movies on Chrome.
But it’ll be nice to get rid of unnecessary browsers If I can do anything on Brave.

Also, another annoying problem was when I opened an email from the Monster website on Brave.
Anything was tighten in a column on the left-hand side.

1 Like

@Warmfreezer,
Thanks for reaching out to us.
Can you tell me where you saw this message?
Additionally, I’m a bit confused about the actions you’ve taken so far. You shouldn’t need any newer versions of the browser – you’re using the most up-to-date build right now (1.23.75). Can you elaborate a bit on what happens when you go to watch video content on Prime?

1 Like

Hi Mattches,
The error appears in the Amazon Movies page that I tried to open, and it looks like that:

1 Like

@Warmfreezer,
We have pushed an update today that you should try downloading and testing to see if you get the same error. Can you also tell me if you’re using a VPN at this time?